%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         skynetservices
%global repo            skydns
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          245a1216be2a7f5377ea56e957fdfa0de6ecd067
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.3.git%{shortcommit}%{?dist}
Summary:        DNS service discovery for etcd 
License:        MIT
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(github.com/coreos/go-log/log)
BuildRequires:  golang(github.com/coreos/go-systemd/activation)
# has dep on kubernetes and kubernetes has dep on this source codes => cyclic deps
# so no build of kubernetes if we add these build requires
#BuildRequires:  golang(github.com/GoogleCloudPlatform/kubernetes/pkg/api)
#BuildRequires:  golang(github.com/GoogleCloudPlatform/kubernetes/pkg/client)
#BuildRequires:  golang(github.com/GoogleCloudPlatform/kubernetes/pkg/proxy/config)
#BuildRequires:  golang(github.com/GoogleCloudPlatform/kubernetes/pkg/util)
BuildRequires:  golang(github.com/miekg/dns)
BuildRequires:  golang(github.com/coreos/go-etcd/etcd)
BuildRequires:  golang(github.com/rcrowley/go-metrics)
BuildRequires:  golang(github.com/rcrowley/go-metrics/influxdb)
BuildRequires:  golang(github.com/rcrowley/go-metrics/stathat)
Requires:       golang >= 1.2.1-3
Requires:       golang(github.com/coreos/go-log/log)
Requires:       golang(github.com/coreos/go-systemd/activation)
#
#Requires:       golang(github.com/GoogleCloudPlatform/kubernetes/pkg/api)
#Requires:       golang(github.com/GoogleCloudPlatform/kubernetes/pkg/client)
#Requires:       golang(github.com/GoogleCloudPlatform/kubernetes/pkg/proxy/config)
#Requires:       golang(github.com/GoogleCloudPlatform/kubernetes/pkg/util)
#
Requires:       golang(github.com/miekg/dns)
Requires:       golang(github.com/coreos/go-etcd/etcd)
Requires:       golang(github.com/rcrowley/go-metrics)
Requires:       golang(github.com/rcrowley/go-metrics/influxdb)
Requires:       golang(github.com/rcrowley/go-metrics/stathat)
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/cache) = %{version}-%{release}
Provides:       golang(%{import_path}/msg) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav msg %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav cache %{buildroot}/%{gopath}/src/%{import_path}/

%check
#No tests ever as there is a cyclic deps on kubernetes

%files devel
%doc README.md LICENSE CONTRIBUTORS AUTHORS
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Mon Jan 19 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git245a121
- Requires on kubernetes makes building of kubernetes failing.
  related: #1181197

* Sun Jan 18 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.git245a121
- Fix Requires on kubernetes
  related: #1181197

* Mon Jan 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git245a121
- First package for Fedora
  resolves: #1181197

